Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.index
Class AssertingDirectoryReader

    java.lang.Object
      org.apache.lucene.index.IndexReader
          org.apache.lucene.index.CompositeReader
              org.apache.lucene.index.BaseCompositeReader<AtomicReader>
                  org.apache.lucene.index.DirectoryReader
                      org.apache.lucene.index.FilterDirectoryReader
                          org.apache.lucene.index.AssertingDirectoryReader

All Implemented Interfaces:
  Closeable

    public class AssertingDirectoryReader

extends FilterDirectoryReader

A `DirectoryReader` that wraps all its subreaders with `AssertingAtomicReader`

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.index.FilterDirectoryReader
`FilterDirectoryReader.StandardReaderWrapper, FilterDirectoryReader.SubReaderWrapper`

Nested classes/interfaces inherited from class org.apache.lucene.index.IndexReader
`IndexReader.ReaderClosedListener`

Field Summary

Fields inherited from class org.apache.lucene.index.FilterDirectoryReader
`in`

Fields inherited from class org.apache.lucene.index.DirectoryReader
`DEFAULT_TERMS_INDEX_DIVISOR, directory`

Constructor Summary
`AssertingDirectoryReader(DirectoryReader in)`

Method Summary
`protected DirectoryReader` | `doWrapDirectoryReader(DirectoryReader in)`
`Object` | `getCombinedCoreAndDeletesKey()`
`Object` | `getCoreCacheKey()`

Methods inherited from class org.apache.lucene.index.FilterDirectoryReader
`doClose, doOpenIfChanged, doOpenIfChanged, doOpenIfChanged, getIndexCommit, getVersion, isCurrent`

Methods inherited from class org.apache.lucene.index.DirectoryReader
`directory, indexExists, listCommits, open, open, open, open, open, openIfChanged, openIfChanged, openIfChanged`

Methods inherited from class org.apache.lucene.index.BaseCompositeReader
`docFreq, document, getDocCount, getSequentialSubReaders, getSumDocFreq, getSumTotalTermFreq, getTermVectors, maxDoc, numDocs, readerBase, readerIndex, totalTermFreq`

Methods inherited from class org.apache.lucene.index.CompositeReader
`getContext, toString`

Methods inherited from class org.apache.lucene.index.IndexReader
`addReaderClosedListener, close, decRef, document, document, ensureOpen, equals, getRefCount, getTermVector, hasDeletions, hashCode, incRef, leaves, numDeletedDocs, registerParentReader, removeReaderClosedListener, tryIncRef`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AssertingDirectoryReader

    public AssertingDirectoryReader(DirectoryReader in)

Method Detail

### doWrapDirectoryReader

    protected DirectoryReader doWrapDirectoryReader(DirectoryReader in)

  Specified by:
    `doWrapDirectoryReader` in class `FilterDirectoryReader`

### getCoreCacheKey

    public Object getCoreCacheKey()

  Overrides:
    `getCoreCacheKey` in class `IndexReader`

### getCombinedCoreAndDeletesKey

    public Object getCombinedCoreAndDeletesKey()

  Overrides:
    `getCombinedCoreAndDeletesKey` in class `IndexReader`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.